---
title: NodeList.item()
slug: Web/API/NodeList/item
tags:
  - API
  - DOM
  - Method
  - NodeList
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p class="summary">Returns a node from a <a href="/en-US/docs/Web/API/NodeList"><code>NodeList</code></a> by index. This method doesn't throw exceptions as long as you provide arguments. A value of <code>null</code> is returned if the index is out of range, and a <code>TypeError</code> is thrown if no argument is provided.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>nodeItem</em> = <em>nodeList</em>.item(<em>index</em>)
</pre>

<ul>
 <li><code>nodeList</code> is a <code>NodeList</code>. This is usually obtained from another DOM property or method, such as <a href="/en-US/docs/Web/API/Node/childNodes" title="childNodes">childNodes</a>.</li>
 <li><code>index</code> is the index of the node to be fetched. The index is zero-based.</li>
 <li><code>nodeItem</code> is the <code>index</code>th node in the <code>nodeList</code> returned by the <code>item</code> method.</li>
</ul>

<h2 id="Alternate_Syntax">Alternate Syntax</h2>

<p>JavaScript also offers an array-like bracketed syntax for obtaining an item from a NodeList by index:</p>

<pre class="eval"><em>nodeItem</em> = <em>nodeList</em>[<em>index</em>]
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var tables = document.getElementsByTagName("table");
var firstTable = tables.item(1); // or tables[1] - returns the <strong>second</strong> table in the DOM
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-nodelist-item", "NodeList: item")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NodeList.item")}}</p>
